Subject: Re: [Lsr] Generic metric: application-specific vs application-independent

From: "Voyer, Daniel" <[email-masked]>
Date: Wed, 28 Jul 2021 20:19:09 +0000

Hi there,
I completely agree with Les here. ASLA exist already as per RFC8919, RFC8920. Example of application is here: https://datatracker.ietf.org/doc/html/draft-ietf-lsr-flex-algo-17#section-12. Generic Metrics fits the application specific paradigm.

What are we trying to accomplish here and what’s broken or is not enough other than what we already have ?

dan

From: Lsr <[email-masked]> on behalf of "Les Ginsberg (ginsberg)" <ginsberg=[email-masked]>
Date: Wednesday, July 28, 2021 at 3:35 PM
To: Tony Li <[email-masked]>, Shraddha Hegde <shraddha=[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [EXT]Re: [Lsr] Generic metric: application-specific vs application-independent

Tony –

IMO, you are asking the wrong question. 😊

ASLA exists to support the advertisement of attributes which can be used in application specific ways.
In any particular deployment case, a given attribute advertisement might be used by one app, multiple apps, or all apps.
ASLA allows to unambiguously support all of these cases with a single advertisement encoding format.

The correct question to be resolving here is indeed the question which has been discussed in an earlier thread: Is Generic Metric a link attribute which can have application specific use cases? I think the question to that is unquestionably “yes”.
That should be enough (IMO of course) to close the discussion.

   Les

From: Lsr <[email-masked]> On Behalf Of Tony Li
Sent: Wednesday, July 28, 2021 11:23 AM
To: Shraddha Hegde <shraddha=[email-masked]>
Cc: [email-masked]
Subject: Re: [Lsr] Generic metric: application-specific vs application-independent

FWIW, I think that this is the wrong question.

I think that a better question is: Is there a usecase that is so overwhelmingly compelling that the added complexity of ASLA is warranted?

Tony

On Jul 28, 2021, at 11:18 AM, Shraddha Hegde <shraddha=[email-masked]<mailto:shraddha=[email-masked]>> wrote:

WG,

   Generic metric as described in https://datatracker.ietf.org/doc/html/draft-ietf-lsr-flex-algo-bw-con
   can advertise multiple metric-types and values and be used
   by any application. All the use cases that I heard from network
   operators while writing the draft could be solved
   using generic-metric advertised in an application-independent way.

   I am looking for clear description of use cases that would benefit from advertising
   generic metric in an application specific way. Can any one provide such a usecase?

Rgds
Shraddha

Juniper Business Use Only
_______________________________________________
Lsr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsr